Month: February 2009

Simplish version 2.1.6

Posted by – February 20, 2009

The 2.1.6 release of Simplish contains two fixes for problems discovered in version 2.1.5:

  • Default sidebar Pages menu now honors admin panel page Order settings
  • Footer text is once again properly aligned on the vertical

Note that any Simplish ≥ 2.1.5 is compatible only with WordPress versions ≥ 2.7.

Download Simplish version 2.1.6 here, or see it soon in the WordPress themes directory.

Simplish version 2.1.5

Posted by – February 5, 2009

Simplish 2.1.5 spruces up support for WordPress version 2.7 features, and is only compatible with WordPress versions ≥ 2.7. The changes are focused on complete support for features, removing compatibility code for older WordPress versions, and fixing a few bugs.

  • Auto-generated post classes (and “sticky” post support): Use post_class() everywhere but the page template
  • Fix a dangling </a> that slipped into the 2.1.4 release (validation)
  • Fix excess vertical spacing in content area ol / ul li elements (thanks Demetris @ op111.net)
  • Eliminate some redundant or over-specified CSS rules for ol / ul li elements
  • Switch to new table styling, derived from Gesso, and eliminate code adopted from Blueprint. Remove Blueprint license file and NOTICE note.
  • Use new wp_logout_url() in sidebar logout link
  • Replace manual includes with new get_search_form()
  • Remove the ocomments.php file, and much compatibility code from functions.php (removes support for wp < 2.7)
  • Replace wp_list_pages() calls with new wp_page_menu() to allow in-function “Home” link

Download Simplish version 2.1.5 here, or see it soon in the WordPress themes directory.

Threaded Comments Live

Posted by – February 1, 2009

With the version bump of the Labs/blogs WordPress-µ software to 2.7, we have threaded comments running live here with Simplish 2.1.4, obviating the (regular WordPress) site that had served that demo.

A version 2.1.5 of Simplish will be along soon that eliminates the WordPress version 2.6 compatibility code, and is compatible only with WordPress ≥2.7.